import request from '@/utils/request'

// 活动列表
export function activityList(data) {
	return request({
		url: '/admin/v1/activity',
		method: 'post',
		data,
	})
}
// 活动-添加
export function activityAdd(data) {
	return request({
		url: '/admin/v1/activity/add',
		method: 'post',
		data,
	})
}
// 活动-详情
export function activityDetail(data) {
	return request({
		url: '/admin/v1/activity/detail',
		method: 'post',
		data,
	})
}
// 活动-修改
export function activityEdit(data) {
	return request({
		url: '/admin/v1/activity/edit',
		method: 'post',
		data,
	})
}
// 活动-删除
export function activityDelete(data) {
	return request({
		url: '/admin/v1/activity/delete',
		method: 'post',
		data,
	})
}
// 报名列表
export function signUpList(data) {
	return request({
		url: '/admin/v1/activity/joins',
		method: 'post',
		data,
	})
}
// 活动申请列表
export function applyList(data) {
	return request({
		url: '/admin/v1/activity/apply',
		method: 'post',
		data,
	})
}
// 活动申请详情
export function applyDetail(data) {
	return request({
		url: '/admin/v1/activity/apply/detail',
		method: 'post',
		data,
	})
}
// 活动申请-处理
export function applyHandle(data) {
	return request({
		url: '/admin/v1/activity/apply/handle',
		method: 'post',
		data,
	})
}
// 活动申请-删除
export function applyDelete(data) {
	return request({
		url: '/admin/v1/activity/apply/delete',
		method: 'post',
		data,
	})
}
